> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable or Disable a Shared Pipeline Artifact Version

> Enables or disables a specific version of a shared pipeline artifact. The sharedPipelineIdPrefix identifies the shared pipeline group.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml patch /v1/shared-pipelines/artifacts
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/shared-pipelines/artifacts:
    patch:
      tags:
        - Shared Pipeline Artifacts
      summary: Enable or Disable a Shared Pipeline Artifact Version
      description: >-
        Enables or disables a specific version of a shared pipeline artifact.
        The sharedPipelineIdPrefix identifies the shared pipeline group.
      operationId: enableDisableSharedPipeline
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSharedPipelineRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSharedPipelineResponse'
          description: Shared pipeline artifact version updated successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Invalid request body or missing required fields
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Missing or invalid authentication token
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Insufficient permissions to update shared pipeline artifacts
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Shared pipeline artifact or version not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    UpdateSharedPipelineRequest:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether this version of the shared pipeline is enabled
          example: true
        sharedPipelineIdPrefix:
          type: string
          description: The prefix identifier grouping related shared pipelines
          example: my-shared-pipeline
          minLength: 1
        versionName:
          type: string
          description: The version name of the shared pipeline artifact
          example: 1.0.0
          maxLength: 255
          minLength: 1
      required:
        - enabled
        - sharedPipelineIdPrefix
        - versionName
    UpdateSharedPipelineResponse:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether this version of the shared pipeline is enabled
          example: true
        versionName:
          type: string
          description: The version name of the shared pipeline artifact
          example: 1.0.0
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````